### Method

# Json Node get_boolean

#### Declaration [src]

    gboolean
    json_node_get_boolean (
      JsonNode* node
    )

#### Description [src]

Gets the boolean value stored inside a node.

If the node holds an integer or double value which is zero, `FALSE` is returned; otherwise `TRUE` is returned.

If the node holds a `JSON_NODE_NULL` value or a value of another non-boolean type, `FALSE` is returned.

#### Return value

Type: `gboolean`

A boolean value.